
rem This program moves the axis in velocity mode for 5 seconds then in reverse for another 5 seconds

PRINT "Moving"
DoVelocityMove(5, 50.0, 5000.0)  :rem Axis 5, Acceleration 50 inches/sec2, MaxVelocity 5000 inch/min
Sleep(5000) 					 :rem Wait 5000 milliseconds
PRINT "DECELERATING"			 
n = CancelMove(5)				 :rem Stop motion on Axis 5

GOSUB 100						 :rem Start waiting for DSPMC to end motion

PRINT "Move Reverse"
DoVelocityMove(5, 50.0, -5000.0) :rem Axis 5, Acceleration 50 inches/sec2, MaxVelocity -5000 inch/min (reverse)

Sleep(5000) 					 :rem Wait 5000 milliseconds
PRINT "DECELERATING"
n = CancelMove(5)				 :rem Stop motion on Axis 5

PRINT "END"
END

100 a = GetDSPData(120)

WHILE a = 0 			:rem Wait until DSPMC is finished with motion process
a = GetDSPData(120)
WEND

PRINT "STOPPED"
RETURN
