
rem // this dspMacro allows all 32 DSPMC outputs to be controlled exclusively by Mach3 through 
rem SetUserLED(2000 - 2031) in Mach3 VB Script

rem // Ex. SetUserLED(2016, 1) will turn ON the first output on J11
rem // Ex. SetUserLED(2007, 0) will turn OFF the last output on J4

rem // In dspMacro SetDSPData(40 - 71) turns on the correspinding output (0 - 31)
rem // and GetLED(2000 - 2031) reads userLEDs 2000 - 2031 from Mach3

rem // NOTE: The DSPMC only reads Mach3 user LEDs 2000 - 2031 

output = 0

WHILE(1)
	output = 0
	WHILE(output < 32)
		SetDSPData(40 + output, GetLED(2000 + output))
		output = output + 1
	WEND
WEND

