
REM - This program will move both Axis 4 and 5 to position 500.25 inches and to position -400.25 inches
REM - Note the subroutine on label 100 which waits for the DSPMC to finish the first move before applying the reverse move
REM - Use GetDSPData(120) to check if the DSPMC is still in the motion process
REM - GetDSPData(120) returns 0 while accelerating, in constant velocity, or decelerating. It returns 1 IF AND ONLY IF all the DSPMC Axes are at a standstill


PRINT "moving Axis 5"
DoMotionAxis( 5, 500.25, 50.0, 3000.0) :rem Axis 5, position 500.25 inches, Acceleration 50 inches/sec2, MaxVelocity 3000 inches/min
PRINT "moving Axis 4"
DoMotionAxis( 4, 500.25, 50.0, 3000.0) 

GOSUB 100

PRINT "reversing Axis 5"
DoMotionAxis( 5, -400.25, 50.0, 3000.0) 
PRINT "reversing Axis 4"
DoMotionAxis( 4, -400.25, 50.0, 3000.0) 

GOSUB 100

PRINT "end"
END


100 a = GetDSPData(120)
PRINT "Waiting for motion to finish..."

WHILE a = 0 		
a = GetDSPData(120) 
WEND

PRINT "...Stopped, ready for new motion"
RETURN
